lariza-config(5)

# NAME
_lariza.ini_ - configuration file for *lariza*(1)

# DESCRIPTION
_lariza.ini_ is the system configuration file for the lariza browser. The syntax
is the standard GTK ini format. An example is provided at _/etc/lariza.ini_, and
user configuration should go in _~/.config/lariza/lariza.ini_, or your
equivalent as set by $XDG_CONFIG_DIR. Settings must go under the relevant
subsection.

# OPTIONS
## BROWSER
*history_file*++
	Type: string++
	Default: none++
	File that lariza should save history to.

*homepage*++
	Type: string++
	Default: none++
	Set the default URI for new tabs.

*console_to_stdout*++
	Type: boolean++
	Default: false++
	Print the contents of the browser console to stdout.

*user_agent*++
	Type: string++
	Default: the WebKit default++
	Choose a custom user agent.

*javascript_disabled*++
	Type: boolean++
	Default: false++
	Determines whether or not JavaScript is enabled by default.

*cookie_policy*++
	Type: string++
	Default: "no_third_party"++
	Options: "all", "none", "no_third_party"++
	Determines what cookies are accepted.

*search_engine*++
	Type: string++
	Default: "https://duckduckgo.com?q="++
	What search engine to use when searching with "w/".

## UI
*tab_width*++
	Type: integer++
	Default: 20++
	Width of each tab in characters.

*zoom_level*++
	Type: double++
	Default: 1.0++
	Default zoom level of each page.

## KEYBINDINGS
All of these keybindings are bound to Control + key.

*close_tab*++
	Type: string++
	Default: q++
	Close the current tab.

*new_tab*++
	Type: string++
	Default: w++
	Open a new tab.

*reload*++
	Type: string++
	Default: e++
	Reload the current tab.

*download_manager*++
	Type: string++
	Default: y++
	Toggle the download manager.

*web_search*++
	Type: string++
	Default: d++
	Start a web search.

*search_forwards*++
	Type: string++
	Default: s++
	Search in-page forwards.

*search_backwards*++
	Type: string++
	Default: r++
	Search in-page backwareds.

*location*++
	Type: string++
	Default: t++
	Select the URL.

*previous_tab*++
	Type: string++
	Default: u++
	Focus the previous tab.

*next_tab*++
	Type: string++
	Default: i++
	Focus the next tab.

*history_forwards*++
	Type: string++
	Default: h++
	Go forwards in history.

*history_back*++
	Type: string++
	Default: h++
	Go back in history.

*scroll_down*++
	Type: string++
	Default: j++
	Scroll down one line.

*scroll_up*++
	Type: string++
	Default: k++
	Scroll up one line.

*scroll_page_down*++
	Type: string++
	Default: f++
	Scroll down one page.

*scroll_page_up*++
	Type: string++
	Default: b++
	Scroll up one page.

*toggle_js*++
	Type: string++
	Default: o++
	Toggle JavaScript.

*quit*++
	Type: string++
	Default: g++
	Deselect everything and focus on the webpage.

*zoom_in*++
	Type: string++
	Default: =++
	Zoom in 10%.

*zoom_out*++
	Type: string++
	Default: -++
	Zoom out 10%.

*zoom_reset*++
	Type: string++
	Default: -++
	Reset zoom to default.
